Create an exception list
- Base URL
-
https://{kibana_url}
- POST /api/exception_lists
- POST /s/{space_id}/api/exception_lists
Refer to Spaces for more information.
An exception list groups exception items and can be associated with detection rules. You can assign detection rules with multiple exception lists.
All exception items added to the same list are evaluated using OR logic. That is, if any of the items in a list evaluate to true, the exception prevents the rule from generating an alert. Likewise, OR logic is used for evaluating exceptions when more than one exception list is assigned to a rule. To use the AND operator, you can define multiple clauses (entries) in a single exception item.
Request body
Exception list's properties
-
list_idstring · format: nonempty · min length: 1 -
A string that does not contain only whitespace characters
-
namespace_type -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
-
Values:
agnosticsingle
Responses
Successful response
-
idstring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
-
list_idstring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
-
namespace_typerequired -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
-
Values:
agnosticsingle
Invalid input data response
Unsuccessful authentication response
Not enough privileges response
Exception list already exists response